#ifndef PAR_TEMP_H
#define PAR_TEMP_H

#include "monte.h"

typedef struct {
   DATA * data;
   MIN_PARAMETERS * min_p;
   MONTE * monte;
   float * var;
} PAR_SYSTEMS;

typedef struct {
   int num_systems;
   long idum;
   PAR_SYSTEMS ** sys;
   float * beta;//temperature array;
   int * num_accepted;
   int * num_attempts;
} PAR_TEMP;

PAR_TEMP * new_par_temp(int num_systems, PAR_SYSTEMS * par_sys, float T_low, float T_high, long idum);
float move_par_temp(PAR_TEMP * par_temp, int num_moves);
#endif//MONTE_H
